#include "bldc.h"

struct {
  unsigned char halls;
  unsigned char drives;
} phase[] = {
  { U_HALL | W_HALL, UH | VL },
  { U_HALL,          UH | WL },
  { U_HALL | V_HALL, VH | WL },
  { V_HALL,          VH | UL },
  { W_HALL | V_HALL, WH | UL },
  { W_HALL,          WH | VL },
};

main()
{
  int i;

  bldc_init ();

  tty_puts("Hello from Demo 1!\n");
  tty_puts("Send patterns out the UVL high/low ports\n");

  PORTA.DDR.BYTE = 0xff;

  i = 0;
  while (1)
    {
      i++;
      PORTA.DR.BYTE = phase[(i/32)%6].halls;
      PORTB.DR.BYTE = phase[(i/32)%6].drives;
      wait_msec (10);
      PORTB.DR.BYTE = UL|VL|WL;
      wait_msec (1);
    }

  exit (0);
}
